Skip to main content
GET
/
v0
/
accounts
/
search
Search accounts
curl --request GET \
  --url https://api.tryarchitect.com/v0/accounts/search \
  --header 'x-api-key: <api-key>'
{
  "hasMore": true,
  "items": [
    {
      "accountId": "<string>",
      "domain": "<string>",
      "name": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "latestActivityAt": "<string>",
      "linkedPersonsCount": 4503599627370495
    }
  ],
  "nextCursor": "<string>",
  "totalCount": 4503599627370495
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Query Parameters

cursor
string

cursor parameter

includeEmptyOnly
string

includeEmptyOnly parameter

limit
number

limit parameter

query
string

query parameter

Response

Successful operation

hasMore
boolean
required
items
object[]
required
nextCursor
string | null
required
totalCount
integer
required
Required range: 0 <= x <= 9007199254740991